Subject: [Fwd: Re: [Sip] Encryption negotiation?]

From: Varadarajan Srinivasan <[email-masked]>
Date: Wed, 11 Jul 2001 08:12:09 +0531

Hi,

One more question on the same line.

Response-Key header ( Section 6:37 in bis02) in a request from UAC to
UAS tells what encryption an UAS should use to encrypt the response. If
UAS can't code, 420 response is sent back to UAC.

What to be done when an UAC wished to send in encrypted way a request to
UAS?
Is this negotiation mechanism possible in SIP?

Please give back your opinion if I missed any major concepts.

Regards,
Varadarajan

"Sean Olson (EUS)" wrote:

>
>
> Hi,
>
> I have a simple question but I've been unable
> to find an answer in the spec, FAQ, or mailing
> list archives (though I may have overlooked
> something obvious).
>
> When using the Encryption: header in a request,
> is there a way for the UAS to reject the request
> *and* indicate that the request was rejected because
> the UAS was unable to decrypt the body? Should a
> warning header be used? What about an option tag
> for encryption? (i.e. is there a way to negotiate
> support of encryption?) I would expect that many
> implementations that don't support encryption
> might return something like a 415 or a 400.
>
> Any comments?
>
> Sean Olson
> Ericsson Inc.
> [email-masked]